select count(transacciones.id), sum(transacciones.precio)
from transacciones
join gestiones on gestiones.id = transacciones.idGestion
where gestiones.idUsuario = 1;

select gestiones.descripcion, month(transacciones.fecha), sum(precio), gestiones.idUsuario
from transacciones
join gestiones on transacciones.idGestion = gestiones.id
where gestiones.idUsuario = 1
group by idGestion, month(fecha);

select transacciones.descripcion, gestiones.descripcion, usuarios.usuario, transacciones.precio, transacciones.fecha
from transacciones
join gestiones on transacciones.idGestion = gestiones.id
join usuarios on usuarios.id = gestiones.idUsuario
where year(transacciones.fecha)="2019"
order by usuario;

select usuarios.id, usuarios.usuario
from usuarios;

select distinct year(transacciones.fecha)
from transacciones;